Does Tophat-fusion-post need to install old blast and blast+?
0
0
Entering edit mode
10 months ago
Apprentice ▴ 90

I'm constructing my pipeline of Tophat-fusion.

The document of Tophat-fusion said that we need to install BLAST binaries (blastall and blastn). https://ccb.jhu.edu/software/tophat/fusion_tutorial.shtml

As far as I know, blastall binary is included in only old blast. On the other hand, blastn binary is included in only blast+ (new blast).

Should I install both old blast and blast+(new blast)?

RNA-Seq fusion gene • 352 views
ADD COMMENT
1
Entering edit mode

I don't think that Tophat is the way to go nowadays, it is in low maintenance for several years now. You might consider looking for more recent software packages to achieve the same goal.

The fact it asks to install a quite old blast version might have hinted you in this direction already.

For instance this post (How to perform fusion search with Hisat2? ) might give you some clues on where to start.

ADD REPLY
1
Entering edit mode

Thank you for your advice.

As ATpoint recommends, I'll consider the use of STAR-Fusion.

ADD REPLY
1
Entering edit mode

There is also STAR-Fusion https://github.com/STAR-Fusion/STAR-Fusion/wiki which might be of interest here, relying on STAR which is a current and well-maintained piece of software. The method is also published for what's worth.

ADD REPLY
0
Entering edit mode

Thank you for your advice.

As you recommend, I'll consider the use of STAR-Fusion.

ADD REPLY

Login before adding your answer.

Traffic: 2616 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6